<?php
/*
Plugin Name: WooEvents CheckIn
Plugin URI: http://www.exthemes.net
Description: This is an addon for WooEvents to allow User can download ticket and admin can checkin ticket
Version: 1.0.1
Package: Ex 2.0
Author: ExThemes
Author URI: http://exthemes.net/
License: GNU General Public License v3.0
License URI: http://www.gnu.org/licenses/gpl-3.0.html
Text Domain: exthemes
Domain Path: /languages/
*/
define( 'WOO_EVENT_CHECKIN', plugin_dir_url( __FILE__ ) );

// Make sure we don't expose any info if called directly
if ( !defined('WOO_EVENT_CHECKIN') ){
	die('-1');
}
if(!function_exists('weci_check_wooevent_exists')){
	function weci_check_wooevent_exists() {
		$class = 'notice notice-error';
		$message = esc_html__( 'WooEvent is Required to WooEvents Check In addon work, please install or activate WooEvent plugin', 'exthemes' );
	
		printf( '<div class="%1$s"><p>%2$s</p></div>', $class, $message ); 
	}
	include_once( ABSPATH . 'wp-admin/includes/plugin.php' );
	if (!is_plugin_active( 'woo-events/woo-event.php' ) ) {
		add_action( 'admin_notices', 'weci_check_wooevent_exists' );
		return;
	}
}

if(!function_exists('weci_get_plugin_url')){
	function weci_get_plugin_url(){
		return plugin_dir_path(__FILE__);
	}
}

class WooEvent_CheckIn {
	public function __construct()
    {
		$this->includes();
		add_action('plugins_loaded',array( $this, 'plugin_load_textdomain'));
    }
    function plugin_load_textdomain() {
		$textdomain = 'exthemes';
		$locale = '';
		if ( empty( $locale ) ) {
			if ( is_textdomain_loaded( $textdomain ) ) {
				return true;
			} else {
				return load_plugin_textdomain( $textdomain, false, plugin_basename( dirname( __FILE__ ) ) . '/language' );
			}
		} else {
			return load_textdomain( $textdomain, plugin_basename( dirname( __FILE__ ) ) . '/' . $textdomain . '-' . $locale . '.mo' );
		}
	}
	function includes(){
		include_once weci_get_plugin_url().'inc/functions.php';
	}
    
}
$WooEvent_CheckIn = new WooEvent_CheckIn();