;(function($){
	'use strict';
	jQuery(document).ready(function ($) {
		if(!jQuery.fn.sortElements){
			jQuery.fn.sortElements = (function(){
				var sort = [].sort;
				return function(comparator, getSortable) {
					getSortable = getSortable || function(){return this;};
					var placements = this.map(function(){
						var sortElement = getSortable.call(this),
							parentNode = sortElement.parentNode,
							nextSibling = parentNode.insertBefore(
								document.createTextNode(''),
								sortElement.nextSibling
							);
						return function() {
							if (parentNode === this) {
								throw new Error(
									"You can't sort elements if any one is a descendant of another."
								);
							}
							parentNode.insertBefore(this, nextSibling);
							parentNode.removeChild(nextSibling);
						};
					});
					return sort.call(this, comparator).each(function(i){
						placements[i].call(getSortable.call(this));
					});
				};
			})();
		}
		$(".we-table-lisst.table-lv-sort").each(function(){
			var idtable = $(this).attr('id')
			var table = $('#'+idtable);
			$('#'+idtable+' .we-sort')
				//.wrapInner('<span title="sort this column"/>')
				.each(function(){
					var th = $(this),
						thIndex = th.index(),
						inverse = false;
					th.on('click', function(){
						$('#'+idtable+' th').removeClass('s-descending');
						$('#'+idtable+' th').removeClass('s-ascending');
						if(inverse == true){
							th.addClass('s-descending');
							th.removeClass('s-ascending');
						}else{
							th.removeClass('s-descending');
							th.addClass('s-ascending');
						}
						table.find('td').filter(function(){
							return $(this).index() === thIndex;
						}).sortElements(function(a, b){
							// using data console.log($(a).data('sort'));
							//return $.text([a]) > $.text([b]) ?
							return $(a).data('sort') > $(b).data('sort') ?
								inverse ? -1 : 1
								: inverse ? 1 : -1;
						}, function(){
							// parentNode is the element we want to move
							return this.parentNode; 
						});
						inverse = !inverse;
					});
			});
			$('#'+idtable+' .tb-search').on("keyup", function() {
				var value = this.value.toLowerCase().trim();
				$('#'+idtable+' table tr').each(function (index) {
					//if (!index) return;
					$(this).find("td").each(function () {
						var id = $(this).text().toLowerCase().trim();
						var not_found = (id.indexOf(value) == -1);
						$(this).closest('tr').toggle(!not_found);
						return not_found;
					});
				});
			});
		});
	});
}(jQuery));