<?php
    global $woocommerce, $product;
    if ( ! function_exists( 'get_woocommerce_price_format' ) ) {
        $currency_pos = get_option( 'woocommerce_currency_pos' );
        switch ( $currency_pos ) {
            case 'left' :
                $format = '%1$s%2$s';
            break;
            case 'right' :
                $format = '%2$s%1$s';
            break;
            case 'left_space' :
                $format = '%1$s&nbsp;%2$s';
            break;
            case 'right_space' :
                $format = '%2$s&nbsp;%1$s';
            break;
        }
        $currency_fm = esc_attr( str_replace( array( '%1$s', '%2$s' ), array( '%s', '%v' ), $format ) );
    } else {
        $currency_fm = esc_attr( str_replace( array( '%1$s', '%2$s' ), array( '%s', '%v' ), get_woocommerce_price_format() ) );
    }
    wp_enqueue_script( 'exwe-mnformat', WOO_EVENT_PATH.'js/mnformat.js', array( 'jquery' ), '3.5', true  );
    wp_enqueue_script( 'exwe-tblivesort', WOO_EVENT_PATH.'js/live-total.js', array( 'jquery' ), '3.6', true  );
    $text = get_option('we_text_total')!='' ? get_option('we_text_total') :  esc_html__('Total:','exthemes');
    //echo sprintf('<div id="product_total_price" style="display: block;">%s %s</div>',$text,'<span class="price">'.$product->get_price().'</span>');?>
    <div <?php post_class('exwe-hidden-price hidden'); ?>>
        <p class="price"><?php echo $product->get_price_html(); ?></p>
    </div>
    <div id="product_total_price" style="display: block;" data-currency="<?php echo esc_attr(get_woocommerce_currency_symbol()); ?>" data-thousand_sep="<?php echo esc_attr(get_option( 'woocommerce_price_thousand_sep' ));?>" data-decimal_sep="<?php echo esc_attr(get_option( 'woocommerce_price_decimal_sep' ));?>" data-num_decimals="<?php echo esc_attr(get_option( 'woocommerce_price_num_decimals' ));?>" data-cu_fm="<?php echo esc_attr($currency_fm);?>"><?php echo esc_html($text).' '?>
        <span class="price"><?php  esc_html($product->get_price());?></span>
    </div>
