<?php
class Widget_WooEvent_Search extends WP_Widget {	

	function __construct() {
    	$widget_ops = array(
			'classname'   => 'wooevent-search', 
			'description' => esc_html__('Events Search ','exthemes')
		);
    	parent::__construct('course-search-widget', esc_html__('WE - Events Search ','exthemes'), $widget_ops);
	}


	function widget($args, $instance) {
		ob_start();
		extract($args);
		
		$ids 			= empty($instance['ids']) ? '' : $instance['ids'];
		$title 			= empty($instance['title']) ? '' : $instance['title'];
		$title          = apply_filters('widget_title', $title);
		$cats 			= empty($instance['cats']) ? '' : $instance['cats'];

		
		$args = array(
			'hide_empty'        => false, 
			'include'           => explode(",",$cats)
		); 
		
		$terms = get_terms('product_cat', $args);
		
		echo exwe_dataes($before_widget);
		if ( $title ) echo exwe_dataes($before_title . $title . $after_title); ?>
        <div class="we-search-form">
        <form role="search" method="get" id="searchform" class="we-product-search-form" action="<?php echo home_url(); ?>/">
        	<div class="exwt-input-group">
            
            <?php if ( ! empty( $terms ) && ! is_wp_error( $terms ) ){ ?>
              <div class="exwt-input-group-btn we-search-dropdown">
				<button name="product_cat" type="button" class="exwt-btn exwt-btn-default we-product-search-dropdown-button we-showdrd"><span class="button-label">
					<?php
					$def_cat='';
                    if($cats!=''){
                        foreach ( $terms as $term ) {
							$def_cat = $term->slug;
							echo exwe_dataes($term->name);
							break;
						}
                    }else{
                        echo get_option('we_text_all')!='' ? get_option('we_text_all') : esc_html__('All','exthemes');
                    }?>
                	</span> <span class="fa fa-angle-down"></span>
                </button>
                <ul class="we-dropdown-select">
                	<?php if($cats==''){?>
                  		<li><a href="#" data-value=""><?php echo get_option('we_text_all')!='' ? get_option('we_text_all') : esc_html__('All','exthemes'); ?></a></li>
                  
                  	<?php 
					}
				  	foreach ( $terms as $term ) {
				  		echo '<li><a href="#" data-value="'. $term->slug .'">'. $term->name .'</a></li>';
				  	}
				  ?>
                </ul>
              </div><!-- /btn-group -->
            <?php } //if have terms ?>
            
              <input type="text" value="<?php the_search_query(); ?>" name="s" id="s" placeholder="<?php echo get_option('we_text_search')!='' ? get_option('we_text_search') : esc_html__('Search','exthemes'); ?>" class="form-control" />
              <input type="hidden" name="post_type" value="product" />
              <input type="hidden" name="product_cat" class="we-product-search-cat" value="<?php echo esc_attr($def_cat);?>" />
              <span class="exwt-input-group-btn">
              	<button type="submit" id="searchsubmit" class="exwt-btn exwt-btn-default we-product-search-submit" ><i class="fa fa-search"></i></button>
              </span>
            </div>
        </form>
        </div>
        <?php
		echo exwe_dataes($after_widget);
		$output_string = ob_get_contents();
		ob_end_clean();
		echo exwe_dataes($output_string);
	}
	function update( $new_instance, $old_instance ) {
		$instance = $old_instance;
		$instance['title'] = strip_tags($new_instance['title']);
        $instance['cats'] = strip_tags($new_instance['cats']);
		return $instance;
	}
	
	
	
	function form( $instance ) {
		$title = isset($instance['title']) ? esc_attr($instance['title']) : '';
		$cats = isset($instance['cats']) ? esc_attr($instance['cats']) : '';?>
        
        <p><label for="<?php echo esc_attr($this->get_field_id('title')); ?>"><?php esc_html_e('Title:','exthemes'); ?></label>
        <input class="widefat" id="<?php echo esc_attr($this->get_field_id('title')); ?>" name="<?php echo esc_attr($this->get_field_name('title')); ?>" type="text" value="<?php echo esc_attr($title); ?>" /></p>
        <p>
          <label for="<?php echo esc_attr($this->get_field_id('cats')); ?>"><?php esc_html_e('Included Categories (IDs. Ex: 68, 86)','exthemes'); ?></label> 
          <textarea rows="4" cols="46" id="<?php echo esc_attr($this->get_field_id('cats')); ?>" name="<?php echo esc_attr($this->get_field_name('cats')); ?>"><?php echo exwe_dataes($cats); ?></textarea>
        </p>
<?php
	}
}

// register widget
if(!function_exists('we_search_register_widgets')){
	function we_search_register_widgets() {
		register_widget( 'Widget_WooEvent_Search' );
	}
	add_action( 'widgets_init', 'we_search_register_widgets' );
}
